import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { TagCloudModule } from 'angular-tag-cloud-module';
import { PagesModule } from 'app/editorialPages/editorialPages.module';
import { GitsearchSharedModule } from 'app/shared/shared.module';
import { TeaserContentComponent } from 'app/teaserContent/teaserContent.component';

import { HomeComponent } from './home.component';
import { HOME_ROUTE } from './home.route';

@NgModule({
  imports: [GitsearchSharedModule, RouterModule.forChild([HOME_ROUTE]), TagCloudModule, PagesModule],
  declarations: [HomeComponent, TeaserContentComponent],
})
export class GitsearchHomeModule {}
